The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

SDB:Install Packman codecs

Jump to: navigation, search

You need these packages from Packman to play most music and video:

  • ffmpeg
  • gstreamer-plugins-bad
  • gstreamer-plugins-libav
  • gstreamer-plugins-ugly
  • libavcodec58
  • libavdevice58
  • libavfilter7
  • libavformat58
  • libavresample4
  • libavutil56
  • vlc-codecs

You can choose either way of three:

Zypper

# Tumbleweed
sudo zypper addrepo --refresh --priority 90 https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/packman.repo
sudo zypper refresh
sudo zypper dist-upgrade --from packman --allow-downgrade --allow-vendor-change
sudo zypper install --from packman ffmpeg gstreamer-plugins-bad gstreamer-plugins-libav gstreamer-plugins-ugly libavcodec58 libavdevice58 libavfilter7 libavformat58 libavresample4 libavutil56 vlc-codecs
# Leap 15.1
sudo zypper addrepo --refresh --priority 90 https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.1/packman.repo
sudo zypper refresh
sudo zypper dist-upgrade --from packman --allow-downgrade --allow-vendor-change
sudo zypper install --from packman ffmpeg gstreamer-plugins-bad gstreamer-plugins-libav gstreamer-plugins-ugly libavcodec58 libavdevice58 libavfilter7 libavformat58 libavresample4 libavutil56 vlc-codecs
# Leap 15.0
sudo zypper addrepo --refresh --priority 90 https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.0/packman.repo
sudo zypper refresh
sudo zypper dist-upgrade --from packman --allow-downgrade --allow-vendor-change
sudo zypper install --from packman ffmpeg gstreamer-plugins-bad gstreamer-plugins-libav gstreamer-plugins-ugly libavcodec58 libavdevice58 libavfilter7 libavformat58 libavresample4 libavutil56 vlc-codecs
# Leap 42.3
sudo zypper addrepo --refresh --priority 90 https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.3/packman.repo
sudo zypper refresh
sudo zypper dist-upgrade --from packman --allow-downgrade --allow-vendor-change
sudo zypper install --from packman ffmpeg gstreamer-plugins-bad gstreamer-plugins-libav gstreamer-plugins-ugly libavcodec58 libavdevice58 libavfilter7 libavformat58 libavresample4 libavutil56 vlc-codecs

opi (OBS Package Installer)

#Tumbleweed
sudo zypper install opi
opi packman

To learn more about opi

YaST

1. Open YaST, then click Software Repositories.

2. Click Add (in the bottom left), then select Community Repositories.

3. Select Packman Repository, then click OK.

4. Go to the YaST Control Center and click Software Management.

5. View > Repositories > Packman Repository.

6. Click "Switch system packages" to packages from Packman repository.

7. Click Accept and Continue, after the codecs will get installed, You should be able to play Your multimedia files without any issues.